package com.sooka.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 个人基本信息对象 t_guiji_naturalresources_qlrjbxx
 *
 * @author wangjinsheng
 * @date 2021-10-28
 */
public class TGuijiNaturalresourcesQlrjbxx extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private String id;

    /** 推送时间 */
    @Excel(name = "推送时间")
    private String cdTime;

    /** 批次号 */
    @Excel(name = "批次号")
    private String cdBatch;

    /** 操作状态 */
    @Excel(name = "操作状态")
    private String cdOperation;

    /** 数据来源 */
    @Excel(name = "数据来源")
    private String cdSource;

    /** 权利其他状况 */
    @Excel(name = "权利其他状况")
    private String tq;

    /** 登记编号 */
    @Excel(name = "登记编号")
    private String djbh;

    /** 权利人类别(1-产权人; 2-抵押权人; 3-抵押人; 4-债务人; 5-异议人; 6-预告权利人; 7-预告义务人;8-转让方代理人;9-受让方代理人;10-备案权利人;11-需役地权利人;12-供役地权利人;13-债务人代理人) */
    @Excel(name = "权利人类别(1-产权人; 2-抵押权人; 3-抵押人; 4-债务人; 5-异议人; 6-预告权利人; 7-预告义务人;8-转让方代理人;9-受让方代理人;10-备案权利人;11-需役地权利人;12-供役地权利人;13-债务人代理人)")
    private String qlrlx;

    /** 权利编号 */
    @Excel(name = "权利编号")
    private String qlbh;

    /** 权利人编号 */
    @Excel(name = "权利人编号")
    private String qlrbh;

    /** 权利类别 */
    @Excel(name = "权利类别")
    private String qllb;

    /** 姓名 */
    @Excel(name = "姓名")
    private String qlrmc;

    /** 顺序号 */
    @Excel(name = "顺序号")
    private String sxh;

    /** 证件类别 */
    @Excel(name = "证件类别")
    private String zjlb;

    /** 证件号码 */
    @Excel(name = "证件号码")
    private String zjhm;

    /** 发证机关 */
    @Excel(name = "发证机关")
    private String fzjg;

    /** 所属行业 */
    @Excel(name = "所属行业")
    private String sshy;

    /** 国家/地区 */
    @Excel(name = "国家/地区")
    private String gjdq;

    /** 户籍所在省市 */
    @Excel(name = "户籍所在省市")
    private String hjszss;

    /** 性别 */
    @Excel(name = "性别")
    private String xb;

    /** 电话 */
    @Excel(name = "电话")
    private String dh;

    /** 地址 */
    @Excel(name = "地址")
    private String dz;

    /** 邮编 */
    @Excel(name = "邮编")
    private String yb;

    /** 工作单位 */
    @Excel(name = "工作单位")
    private String gzdw;

    /** 电子邮件 */
    @Excel(name = "电子邮件")
    private String dzyj;

    /** 取得方式 */
    @Excel(name = "取得方式")
    private String qdfs;

    /** 权利人性质 */
    @Excel(name = "权利人性质")
    private String qlrxz;

    /** 权利面积 */
    @Excel(name = "权利面积")
    private String qlmj;

    /** 权利比例 */
    @Excel(name = "权利比例")
    private String qlbl;

    /** 共有方式 */
    @Excel(name = "共有方式")
    private String gyfs;

    /** 权属状态 */
    @Excel(name = "权属状态")
    private String qszt;

    /** 权证号 */
    @Excel(name = "权证号")
    private String qzh;

    /** 证书编号 */
    @Excel(name = "证书编号")
    private String zsbh;

    /** 法人类型 */
    @Excel(name = "法人类型")
    private String frlx;

    /** 法人代表 */
    @Excel(name = "法人代表")
    private String frdb;

    /** 出生日期 */
    @Excel(name = "出生日期")
    private String csrq;

    /** 身份证图片路径 */
    @Excel(name = "身份证图片路径")
    private String sfztp;

    /** 备注 */
    @Excel(name = "备注")
    private String bz;

    /** 推送单位 */
    @Excel(name = "推送单位")
    private String tsdw;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setCdTime(String cdTime)
    {
        this.cdTime = cdTime;
    }

    public String getCdTime()
    {
        return cdTime;
    }
    public void setCdBatch(String cdBatch)
    {
        this.cdBatch = cdBatch;
    }

    public String getCdBatch()
    {
        return cdBatch;
    }
    public void setCdOperation(String cdOperation)
    {
        this.cdOperation = cdOperation;
    }

    public String getCdOperation()
    {
        return cdOperation;
    }
    public void setCdSource(String cdSource)
    {
        this.cdSource = cdSource;
    }

    public String getCdSource()
    {
        return cdSource;
    }
    public void setTq(String tq)
    {
        this.tq = tq;
    }

    public String getTq()
    {
        return tq;
    }
    public void setDjbh(String djbh)
    {
        this.djbh = djbh;
    }

    public String getDjbh()
    {
        return djbh;
    }
    public void setQlrlx(String qlrlx)
    {
        this.qlrlx = qlrlx;
    }

    public String getQlrlx()
    {
        return qlrlx;
    }
    public void setQlbh(String qlbh)
    {
        this.qlbh = qlbh;
    }

    public String getQlbh()
    {
        return qlbh;
    }
    public void setQlrbh(String qlrbh)
    {
        this.qlrbh = qlrbh;
    }

    public String getQlrbh()
    {
        return qlrbh;
    }
    public void setQllb(String qllb)
    {
        this.qllb = qllb;
    }

    public String getQllb()
    {
        return qllb;
    }
    public void setQlrmc(String qlrmc)
    {
        this.qlrmc = qlrmc;
    }

    public String getQlrmc()
    {
        return qlrmc;
    }
    public void setSxh(String sxh)
    {
        this.sxh = sxh;
    }

    public String getSxh()
    {
        return sxh;
    }
    public void setZjlb(String zjlb)
    {
        this.zjlb = zjlb;
    }

    public String getZjlb()
    {
        return zjlb;
    }
    public void setZjhm(String zjhm)
    {
        this.zjhm = zjhm;
    }

    public String getZjhm()
    {
        return zjhm;
    }
    public void setFzjg(String fzjg)
    {
        this.fzjg = fzjg;
    }

    public String getFzjg()
    {
        return fzjg;
    }
    public void setSshy(String sshy)
    {
        this.sshy = sshy;
    }

    public String getSshy()
    {
        return sshy;
    }
    public void setGjdq(String gjdq)
    {
        this.gjdq = gjdq;
    }

    public String getGjdq()
    {
        return gjdq;
    }
    public void setHjszss(String hjszss)
    {
        this.hjszss = hjszss;
    }

    public String getHjszss()
    {
        return hjszss;
    }
    public void setXb(String xb)
    {
        this.xb = xb;
    }

    public String getXb()
    {
        return xb;
    }
    public void setDh(String dh)
    {
        this.dh = dh;
    }

    public String getDh()
    {
        return dh;
    }
    public void setDz(String dz)
    {
        this.dz = dz;
    }

    public String getDz()
    {
        return dz;
    }
    public void setYb(String yb)
    {
        this.yb = yb;
    }

    public String getYb()
    {
        return yb;
    }
    public void setGzdw(String gzdw)
    {
        this.gzdw = gzdw;
    }

    public String getGzdw()
    {
        return gzdw;
    }
    public void setDzyj(String dzyj)
    {
        this.dzyj = dzyj;
    }

    public String getDzyj()
    {
        return dzyj;
    }
    public void setQdfs(String qdfs)
    {
        this.qdfs = qdfs;
    }

    public String getQdfs()
    {
        return qdfs;
    }
    public void setQlrxz(String qlrxz)
    {
        this.qlrxz = qlrxz;
    }

    public String getQlrxz()
    {
        return qlrxz;
    }
    public void setQlmj(String qlmj)
    {
        this.qlmj = qlmj;
    }

    public String getQlmj()
    {
        return qlmj;
    }
    public void setQlbl(String qlbl)
    {
        this.qlbl = qlbl;
    }

    public String getQlbl()
    {
        return qlbl;
    }
    public void setGyfs(String gyfs)
    {
        this.gyfs = gyfs;
    }

    public String getGyfs()
    {
        return gyfs;
    }
    public void setQszt(String qszt)
    {
        this.qszt = qszt;
    }

    public String getQszt()
    {
        return qszt;
    }
    public void setQzh(String qzh)
    {
        this.qzh = qzh;
    }

    public String getQzh()
    {
        return qzh;
    }
    public void setZsbh(String zsbh)
    {
        this.zsbh = zsbh;
    }

    public String getZsbh()
    {
        return zsbh;
    }
    public void setFrlx(String frlx)
    {
        this.frlx = frlx;
    }

    public String getFrlx()
    {
        return frlx;
    }
    public void setFrdb(String frdb)
    {
        this.frdb = frdb;
    }

    public String getFrdb()
    {
        return frdb;
    }
    public void setCsrq(String csrq)
    {
        this.csrq = csrq;
    }

    public String getCsrq()
    {
        return csrq;
    }
    public void setSfztp(String sfztp)
    {
        this.sfztp = sfztp;
    }

    public String getSfztp()
    {
        return sfztp;
    }
    public void setBz(String bz)
    {
        this.bz = bz;
    }

    public String getBz()
    {
        return bz;
    }
    public void setTsdw(String tsdw)
    {
        this.tsdw = tsdw;
    }

    public String getTsdw()
    {
        return tsdw;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createTime", getCreateTime())
            .append("cdTime", getCdTime())
            .append("cdBatch", getCdBatch())
            .append("cdOperation", getCdOperation())
            .append("cdSource", getCdSource())
            .append("tq", getTq())
            .append("djbh", getDjbh())
            .append("qlrlx", getQlrlx())
            .append("qlbh", getQlbh())
            .append("qlrbh", getQlrbh())
            .append("qllb", getQllb())
            .append("qlrmc", getQlrmc())
            .append("sxh", getSxh())
            .append("zjlb", getZjlb())
            .append("zjhm", getZjhm())
            .append("fzjg", getFzjg())
            .append("sshy", getSshy())
            .append("gjdq", getGjdq())
            .append("hjszss", getHjszss())
            .append("xb", getXb())
            .append("dh", getDh())
            .append("dz", getDz())
            .append("yb", getYb())
            .append("gzdw", getGzdw())
            .append("dzyj", getDzyj())
            .append("qdfs", getQdfs())
            .append("qlrxz", getQlrxz())
            .append("qlmj", getQlmj())
            .append("qlbl", getQlbl())
            .append("gyfs", getGyfs())
            .append("qszt", getQszt())
            .append("qzh", getQzh())
            .append("zsbh", getZsbh())
            .append("frlx", getFrlx())
            .append("frdb", getFrdb())
            .append("csrq", getCsrq())
            .append("sfztp", getSfztp())
            .append("bz", getBz())
            .append("tsdw", getTsdw())
            .toString();
    }
}
